Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 594802 - asks me to configure networking twice
asks me to configure networking twice
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 12:29 EDT by Bill Nottingham
Modified: 2014-03-16 23:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-13.21.51-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:44:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-05-21 12:29:18 EDT
Description of problem:

I boot boot.iso; I pass a http updates.img  link on the command line, because I need it to fix an unrelated bug.

I choose 'NFS' to install.

anaconda asks me which device to use (eth0 vs wlan0).

anaconda configures the device, and asks for the nfs server information.

anaconda then asks me *again* which device to install through.

Version-Release number of selected component (if applicable):

2010-05-20 nightly + http://rvykydal.fedorapeople.org/updates.594716.img
Comment 2 RHEL Product and Program Management 2010-05-26 11:21:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Radek Vykydal 2010-05-27 09:50:17 EDT
Happens exactly in this case:

- *no* ks over network
- stage2 over network
- updates over network

Before fetching updates dialog to choose network device appears
even if network has been already enabled before downloading stage 2.


I sent a patch for review.
Comment 4 Chris Lumens 2010-06-04 14:20:00 EDT
Patch approved on the list.  I'll work on getting this bug some ACKs so it can get committed.
Comment 5 Radek Vykydal 2010-06-14 11:45:23 EDT
This should be fixed in anaconda-13.21.51-1.
Comment 7 Alexander Todorov 2010-07-07 12:15:34 EDT
(In reply to comment #3)
> Happens exactly in this case:
> 
> - *no* ks over network
> - stage2 over network
> - updates over network
> 

Tested with snapshot #7 with:
linux method=http://... updates=http://...
on a VM with 2 NICs

> Before fetching updates dialog to choose network device appears
> even if network has been already enabled before downloading stage 2.
> 

In loader I've selected eth0 and automatic network settings. Anaconda happily proceeded with downloading stage2 and updates.img file. Moving to VERIFIED.
Comment 8 releng-rhel@redhat.com 2010-11-10 14:44:37 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.